"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScriptModule = void 0;
const common_1 = require("@nestjs/common");
const script_service_1 = require("./script.service");
const script_controller_1 = require("./script.controller");
const mongoose_1 = require("@nestjs/mongoose");
const script_schema_1 = require("./schema/script.schema");
const authToken_schema_1 = require("../user/schema/authToken.schema");
const commonServices_1 = require("../services/commonServices");
const scriptVideo_schema_1 = require("./schema/scriptVideo.schema");
const video_thumbnail_service_1 = require("../services/video-thumbnail.service");
const privacy_tc_schema_1 = require("./schema/privacy.tc.schema");
const payment_schema_1 = require("./schema/payment.schema");
let ScriptModule = class ScriptModule {
};
exports.ScriptModule = ScriptModule;
exports.ScriptModule = ScriptModule = __decorate([
    (0, common_1.Module)({
        imports: [
            mongoose_1.MongooseModule.forFeature([
                { name: 'script', schema: script_schema_1.ScriptSchema },
                { name: 'auth-token', schema: authToken_schema_1.AuthTokenSchema },
                { name: 'script-video', schema: scriptVideo_schema_1.ScriptVideoSchema },
                { name: 'privacy-term-condition', schema: privacy_tc_schema_1.PrivacyAndTermConditionSchema },
                { name: 'payment', schema: payment_schema_1.Payment },
            ]),
        ],
        controllers: [script_controller_1.ScriptController],
        providers: [script_service_1.ScriptService, commonServices_1.commonServices, video_thumbnail_service_1.ScreenshotService],
    })
], ScriptModule);
//# sourceMappingURL=script.module.js.map