import { Response } from 'express';
import { Model } from 'mongoose';
import { AuthToken } from 'src/user/schema/authToken.schema';
import { MailerService } from '@nestjs-modules/mailer';
export declare class commonServices {
    private AuthTokenModel;
    private readonly mailerServices;
    constructor(AuthTokenModel: Model<AuthToken>, mailerServices: MailerService);
    checkToken(token: string): Promise<boolean>;
    returnResponse(res: Response, status: number, message: string, ...rest: any): Promise<Response<any, Record<string, any>>>;
    OTPGenerator(length: number): Promise<number>;
    sendOtp(receiverEmail: string, userName: string, OTP: number): Promise<boolean>;
    deleteFile(filename: string, folder: any): Promise<boolean>;
}
