"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.commonServices = void 0;
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const mongoose_2 = require("mongoose");
const mailer_1 = require("@nestjs-modules/mailer");
const fs = require("fs");
let commonServices = class commonServices {
    constructor(AuthTokenModel, mailerServices) {
        this.AuthTokenModel = AuthTokenModel;
        this.mailerServices = mailerServices;
    }
    async checkToken(token) {
        let isToken = await this.AuthTokenModel.findOne({ token: token });
        if (!isToken) {
            return false;
        }
        return true;
    }
    async returnResponse(res, status, message, ...rest) {
        let responseData = {
            status: status,
            message: message,
        };
        if (rest.length == 1) {
            responseData['data'] = rest[0];
        }
        if (rest.length == 2) {
            responseData['data'] = rest[0];
            responseData['token'] = rest[1];
        }
        if (rest.length == 4) {
            responseData['data'] = rest[0];
            responseData['isPaid'] = rest[1];
            responseData['isExpire'] = rest[2];
            responseData['amount'] = rest[3];
        }
        if (rest.length == 5) {
            responseData['data'] = rest[0];
            responseData['token'] = rest[1];
            responseData['isPaid'] = rest[2];
            responseData['isExpire'] = rest[3];
            responseData['amount'] = rest[4];
        }
        return res.status(status).send(responseData);
    }
    async OTPGenerator(length) {
        const digits = '0123456789';
        let OTP = '';
        for (let i = 0; i < length; i++) {
            OTP += digits[Math.floor(Math.random() * 10)];
        }
        return Number(OTP);
    }
    async sendOtp(receiverEmail, userName, OTP) {
        let message = `
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>OTP Recovery Email</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
            background-color: #ffffff;
            border-radius: 8px;
            overflow: hidden;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }
        .header {
            background-color: #4CAF50;
            color: white;
            padding: 10px;
            text-align: center;
        }
        .content {
            padding: 20px;
            color: #333333;
            text-align: center;
        }
        .otp {
            font-size: 24px;
            font-weight: bold;
            margin: 20px 0;
            background-color: #f9f9f9;
            padding: 10px;
            border-radius: 5px;
            display: inline-block;
        }
        .footer {
            background-color: #f1f1f1;
            text-align: center;
            padding: 10px;
            font-size: 12px;
            color: #777777;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h2>Password Recovery</h2>
        </div>
        <div class="content">
            <p>Hello ${userName},</p>
            <p>You recently requested to reset your password. Use the following OTP to complete your recovery process:</p>
            <div class="otp"> OTP : ${OTP}</div>
            <p>If you did not request a password reset, please ignore this email or contact our support.</p>
            <p>Best regards,</p>
            <p>The Teleprompter Team</p>
        </div>
        <div class="footer">
            <p>&copy; 2024 Teleprompter. All rights reserved.</p>
        </div>
    </div>
</body>
`;
        let { result, error } = await this.mailerServices.sendMail({
            from: process.env.sender_email,
            to: receiverEmail,
            subject: 'OTP for Account recovery',
            html: message,
        });
        if (error) {
            return false;
        }
        return true;
    }
    async deleteFile(filename, folder) {
        try {
            if (filename) {
                if (folder === 'videos') {
                    fs.unlinkSync(`${process.env.VIDEO_PATH}/${filename}`);
                }
                else if (folder === 'public') {
                    fs.unlinkSync(`${process.env.IMAGE_PATH}/${filename}`);
                }
                else if (folder === 'thumbnail') {
                    fs.unlinkSync(`${process.env.THUMBNAIL_PATH}/${filename}`);
                }
                return true;
            }
        }
        catch (error) {
            console.log('Getting error while delete file::', error);
            return false;
        }
    }
};
exports.commonServices = commonServices;
exports.commonServices = commonServices = __decorate([
    (0, common_1.Injectable)(),
    __param(0, (0, mongoose_1.InjectModel)('auth-token')),
    __metadata("design:paramtypes", [mongoose_2.Model,
        mailer_1.MailerService])
], commonServices);
//# sourceMappingURL=commonServices.js.map