"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScreenshotService = void 0;
const common_1 = require("@nestjs/common");
const ffmpeg = require("fluent-ffmpeg");
const ffmpegInstaller = require("@ffmpeg-installer/ffmpeg");
let ScreenshotService = class ScreenshotService {
    constructor() {
        ffmpeg.setFfmpegPath(ffmpegInstaller.path);
    }
    async takeScreenshot(videoPath, outputPath, timeInSeconds) {
        let filename = Date.now() + '-screenshot.png';
        return new Promise((resolve, reject) => {
            let data = ffmpeg(videoPath)
                .screenshots({
                timestamps: [timeInSeconds],
                filename: filename,
                folder: outputPath,
            })
                .on('end', (res) => {
                resolve(filename);
            })
                .on('error', (err) => {
                reject(err);
            });
            return data;
        });
    }
};
exports.ScreenshotService = ScreenshotService;
exports.ScreenshotService = ScreenshotService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [])
], ScreenshotService);
//# sourceMappingURL=video-thumbnail.service.js.map