"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppController = void 0;
const common_1 = require("@nestjs/common");
const app_service_1 = require("./app.service");
const winston_1 = require("winston");
const api_response_json_1 = require("../api.response.json");
const path_1 = require("path");
let AppController = class AppController {
    constructor(appService, logger) {
        this.appService = appService;
        this.logger = logger;
    }
    getHello() {
        return this.appService.getHello();
    }
    async downloadFile(filename, req, res) {
        const file = (0, path_1.join)(process.env.VIDEO_PATH, filename);
        res.download(file);
    }
    async getImage(image, req, res) {
        try {
            return res.sendFile(image, { root: './public' });
        }
        catch (error) {
            console.log('Getting error while get image::', error);
            this.logger.error(`Getting error while get image, Reason:: ${error}`);
            return {
                status: common_1.HttpStatus?.INTERNAL_SERVER_ERROR,
                message: api_response_json_1.message?.error?.serverError,
            };
        }
    }
    async getTermsAndCondition(res, req) {
        return this.appService.getPrivacyPolicyOrTermCondition(false, res);
    }
    async getPrivacyPolicy(res, req) {
        return this.appService.getPrivacyPolicyOrTermCondition(true, res);
    }
};
exports.AppController = AppController;
__decorate([
    (0, common_1.Get)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", String)
], AppController.prototype, "getHello", null);
__decorate([
    (0, common_1.Get)('/download/:filename'),
    __param(0, (0, common_1.Param)('filename')),
    __param(1, (0, common_1.Req)()),
    __param(2, (0, common_1.Res)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object, Object]),
    __metadata("design:returntype", Promise)
], AppController.prototype, "downloadFile", null);
__decorate([
    (0, common_1.Get)('getImage/:imageName'),
    __param(0, (0, common_1.Param)('imageName')),
    __param(1, (0, common_1.Req)()),
    __param(2, (0, common_1.Res)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object, Object]),
    __metadata("design:returntype", Promise)
], AppController.prototype, "getImage", null);
__decorate([
    (0, common_1.Post)('getTermsAndCondition'),
    __param(0, (0, common_1.Res)()),
    __param(1, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], AppController.prototype, "getTermsAndCondition", null);
__decorate([
    (0, common_1.Post)('getPrivacyPolicy'),
    __param(0, (0, common_1.Res)()),
    __param(1, (0, common_1.Req)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], AppController.prototype, "getPrivacyPolicy", null);
exports.AppController = AppController = __decorate([
    (0, common_1.Controller)(),
    __param(1, (0, common_1.Inject)('winston')),
    __metadata("design:paramtypes", [app_service_1.AppService,
        winston_1.Logger])
], AppController);
//# sourceMappingURL=app.controller.js.map