import { CreateUserDto } from './dto/create-user.dto';
import { Logger } from 'winston';
import { Model } from 'mongoose';
import { User } from './schema/user.schema';
import { AuthToken } from './schema/authToken.schema';
import e, { Response } from 'express';
import { commonServices } from 'src/services/commonServices';
import { Script } from 'vm';
import { ScriptVideo } from 'src/script/schema/scriptVideo.schema';
import { Payment } from 'src/script/schema/payment.schema';
export declare class UserService {
    private logger;
    private UserModel;
    private ScriptModel;
    private ScriptVideoModel;
    private AuthTokenModel;
    private PaymentModel;
    private commonServices;
    constructor(logger: Logger, UserModel: Model<User>, ScriptModel: Model<Script>, ScriptVideoModel: Model<ScriptVideo>, AuthTokenModel: Model<AuthToken>, PaymentModel: Model<Payment>, commonServices: commonServices);
    registerUser(userData: CreateUserDto, res: Response): Promise<e.Response<any, Record<string, any>>>;
    userLogin(credentials: CreateUserDto, res: Response): Promise<e.Response<any, Record<string, any>>>;
    forgotPassword(userData: CreateUserDto, res: Response): Promise<e.Response<any, Record<string, any>>>;
    verifyOtp(userData: CreateUserDto, res: Response): Promise<e.Response<any, Record<string, any>>>;
    changePassword(userData: CreateUserDto, res: Response): Promise<e.Response<any, Record<string, any>>>;
    updateProfile(userData: CreateUserDto, userId: string, res: Response): Promise<e.Response<any, Record<string, any>>>;
    logout(userId: string, token: string, res: Response): Promise<e.Response<any, Record<string, any>>>;
    deleteAccount(userId: string, res: Response): Promise<e.Response<any, Record<string, any>>>;
    socialLogin(data: any, res: Response): Promise<e.Response<any, Record<string, any>>>;
}
